#include "ui/headerbar.h"

GtkWidget *create_headerbar(GtkWidget *tab_widget) {
  GtkWidget *header_bar = gtk_header_bar_new();
  gtk_header_bar_set_show_close_button(GTK_HEADER_BAR(header_bar), TRUE);

  GtkStyleContext *context = gtk_widget_get_style_context(header_bar);
  gtk_style_context_add_class(context, "browser-headerbar");

  // Add Tab Widget as custom title
  if (tab_widget) {
    gtk_header_bar_set_custom_title(GTK_HEADER_BAR(header_bar), tab_widget);
  }

  return header_bar;
}
